<?php

namespace Acms\Services\Validator;

use Acms\Contracts\ServiceProvider;
use Acms\Services\Container;

class ValidatorServiceProvider extends ServiceProvider
{
    /**
     * register service
     *
     * @param \Acms\Services\Container $container
     *
     * @return void
     */
    public function register(Container $container)
    {
        $container->singleton('validator.option', static function (): OptionProvider {
            return new OptionProvider();
        });
    }

    /**
     * initialize service
     *
     * @return void
     */
    public function init()
    {
    }
}
